org.apache.maven.scm.provider.cvslib.command.login

## Class CvsLoginCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.login.AbstractLoginCommand
    - - org.apache.maven.scm.provider.cvslib.command.login.CvsLoginCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  CvsJavaLoginCommand

    public class CvsLoginCommand
    extends AbstractLoginCommand

Version:
  $Id: CvsLoginCommand.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`CvsLoginCommand()`

### Method Summary

Methods
`LoginScmResult` `executeLoginCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`boolean` `isCvsNT()`

### Methods inherited from class org.apache.maven.scm.command.login.AbstractLoginCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsLoginCommand

    public CvsLoginCommand()

### Method Detail

#### executeLoginCommand

    public LoginScmResult executeLoginCommand(ScmProviderRepository repository,
                                     ScmFileSet fileSet,
                                     CommandParameters parameters)
                                       throws ScmException

Specified by:
  `executeLoginCommand` in class `AbstractLoginCommand`
Throws:
  `ScmException`

#### isCvsNT

    public boolean isCvsNT()
                    throws ScmException

Throws:
  `ScmException`